<?php
/**
* @version      1.0.0 11.01.2017
* @author       MAXXmarketing GmbH
* @package      WPshopping Second Description For Product
* @copyright    Copyright (C) 2010 http://www.wop-agentur.com. All rights reserved.
*/
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}


class SeconddescriptionforproductWPshoppingAddon extends WPshoppingAddon {
	protected $addon_alias = 'second_description_for_product';
	var $separator = "{second_description}";
	
    public function __construct() {
        $addon = WPshoppingFactory::getTable('addon');
        $addon->loadAlias($this->addon_alias);
		$this->params = $addon->getParams();
    }		
	
    public function loadActions(){
		add_action('onBeforeDisplaySaveProduct', array($this, 'onBeforeDisplaySaveProduct'), 10, 2);
		add_action('onBeforeDisplayEditProduct', array($this, 'onBeforeDisplayEditProduct'), 10, 5);
		add_action('onBeforeDisplayEditProductView', array($this, 'onBeforeDisplayEditProductView'));
		add_action('onBeforeDisplayProduct', array($this, 'onBeforeDisplayProduct'), 10, 5);	
    }

	//admin
	function onBeforeDisplaySaveProduct(&$post, &$product) {
		$_lang = WPshoppingFactory::getAdminModel('languages');
		$languages = $_lang->getAllLanguages(1);
        foreach($languages as $lang){
            $post['description_'.$lang->language] .= $this->separator . WPshoppingRequest::getVar('second_description_'.$lang->language,'','post',"string", 2);
        }
	}
	
	function onBeforeDisplayEditProduct(&$product, &$related_products, &$lists, &$listfreeattributes, &$tax_value) {
		$_lang = WPshoppingFactory::getAdminModel('languages');
		$languages = $_lang->getAllLanguages(1);
        foreach($languages as $lang){
			$tmp = explode($this->separator, $product->{'description_'.$lang->language});
			if (isset($tmp[1])) {
				$product->{'description_'.$lang->language} = $tmp[0];
				$product->{'second_description_'.$lang->language} = $tmp[1];
			} else {
				$product->{'second_description_'.$lang->language} = '';
			}
        }
	}
	
	function onBeforeDisplayEditProductView(&$view) {
		$_lang = WPshoppingFactory::getAdminModel('languages');
		$languages = $_lang->getAllLanguages(1);
        foreach($languages as $lang){
			if (isset($view->product->{'second_description_'.$lang->language})) {
				if (!isset($view->{'plugin_template_description_'.$lang->language})) $view->{'plugin_template_description_'.$lang->language} = '';
				$second_description = "second_description_".$lang->language;
                $args = array('wpautop' => 1, 'media_buttons' => 1,'textarea_name' => $second_description,'textarea_rows' => 20,'tabindex' => null,'tinymce' => 1);
				ob_start();
				echo '<tr><td class="key">Second '.WPshoppingText::_('WPSHOPPING_DESCRIPTION').'</td><td>';
				wp_editor($view->product->{'second_description_'.$lang->language}, 'second_description'.$lang->id, $args );
				echo '</td></tr>';
				$view->{'plugin_template_description_'.$lang->language} .= ob_get_contents();
				ob_end_clean();
			}
		}
	}
	//front
	function onBeforeDisplayProduct(&$product, &$view, &$product_images, &$product_videos, &$product_demofiles) {
		$lang = WPshoppingFactory::getLang();
        $description = $lang->get('description');
		$second_description = 'second_'.$description;
		$tmp = explode($this->separator, $product->$description);
		if (isset($tmp[1])) {
			$product->description = $tmp[0];
			$product->second_description = $tmp[1];
			if (!isset($view->_tmp_product_html_after_buttons)) $view->_tmp_product_html_after_buttons = '';
			$view->_tmp_product_html_after_buttons .= '<div class="second_description">'.wpautop($product->second_description).'</div>';
		}
	}
}